/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-22 10:05:10
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-15 11:24:59
 * @FilePath: \Game-Backstage-Management-System\src\stores\useTable.ts
 * @Description:
 *
 */

import { ref } from 'vue'
import { defineStore } from 'pinia'

interface UserInfo {
  userName: string
  isSuper: boolean
}

export const useUser = defineStore('userInfoStore', () => {
  const userInfo = ref<UserInfo>({
    userName: '',
    isSuper: false
  })
  const getUserInfo = () => userInfo.value

  const updateUserInfo = (newUserInfo: UserInfo) => {
    userInfo.value = newUserInfo
  }
  return { getUserInfo, updateUserInfo }
})
