/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-21 11:12:21
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-10 18:31:10
 * @FilePath: \Game-Backstage-Management-System\src\utils\axios\auth.ts
 * @Description:
 *
 */

import { removeAllToken } from '@/utils/token/token.ts'
import { ElMessage } from 'element-plus'
import { MessageType } from '@/types/res.ts'
import {
  clearUserInfo,
  getLoginState,
  getUserInfo,
  setLoginState
} from '../localStorage/localStorage.ts'

/**
 * @description: 登出
 * @param msg 提示信息
 */
export const clearClientInfo = (msg: string = '请先登录') => {
  ElMessage({
    type: MessageType.Warning,
    message: msg,
    duration: 1500
  })
  removeAllToken()
  setLoginState(false)
  clearUserInfo()
}

export const authLogin = (): boolean => {
  const userInfo = getUserInfo()

  return getLoginState() && !!userInfo
}
